# format-integer

Formats an integer according to a given picture string, using the conventions of a given natural language if specified.

format-integer($value as xs:integer?, $picture as xs:string) → xs:string

Arguments
| $value | xs:integer? | The integer to be formatted
| $picture | xs:string | Picture showing how the integer is to be formatted
Result | xs:string

format-integer($value as xs:integer?, $picture as xs:string, $language as xs:language) → xs:string

Arguments
| $value | xs:integer? | The integer to be formatted
| $picture | xs:string | Picture showing how the integer is to be formatted
| $language | xs:language | Language used for the output
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next